<?php

/**
 * Knight About Page
 * @package Knight
 *
*/

if( !class_exists('Knight_About_page') ):

	class Knight_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'knight_backend_menu'),999);

		}

		// Add Backend Menu
        function knight_backend_menu(){

            add_theme_page(esc_html__( 'Knight Options','knight' ), esc_html__( 'Knight Options','knight' ), 'activate_plugins', 'knight-about', array($this, 'knight_main_page'));

        }

        // Settings Form
        function knight_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Knight_About_page();

endif;